@echo off
cls

REM Automated installation procedure for "Mariah Carey Theme"
REM Original program created October 30th, 1996
REM                     BY
REM Brendon O'Sullivan, email: bos@ozemail.com.au
REM
REM This file must be run from Windows 95!

REM ====================================================================================

    echo ===============================================================================
    echo                             Mariah Carey Theme
    echo                        Automated Installation Program 
    echo ===============================================================================
    goto windows

REM ====================================================================================

REM Check for Windows environment
:windows
    if "%windir%"=="" goto no_win
    goto longname

REM Check for long filenames.
:longname
    if not exist "Install Mariah Carey Theme.bat" goto bad_unzip
    goto plus

REM Check for Plus! installation.
:plus
    if not exist "%windir%\system\themes.cpl" goto bad_plus
    goto source

REM Check for source files.
:source
    if not exist logo.sys goto no_logo
    if not exist logos.sys goto no_logos
    if not exist logow.sys goto no_logow
    if not exist "Lagune.ttf" goto no_font
    if not exist "Uninstall Mariah Carey Logos.bat" goto no_unlogo
    if not exist "Reinstall Mariah Carey Logos.bat" goto no_relogo
    if not exist "Mariah Carey.edm" goto no_edm
    if not exist "Mariah Carey.scr" goto no_scr
    if not exist "Mariah Carey (high color).theme" goto no_theme
    if not exist "Mariah Carey\nul" goto no_dir
    goto target

REM Check for target folder
:target
    if "%1"=="" goto check_std
    if not exist "%1\nul" goto wrong_dir
    goto cust_copy

REM Check for default target folder
:check_std
    if not exist "c:\program files\plus!\themes\nul" goto no_stdir
    goto std_copy

REM ====================================================================================

REM Installing files to standard folder.
:std_copy
    echo 
    echo Installing files, please wait...
    if not exist "c:\program files\plus!\themes\Mariah Carey\nul" md "c:\program files\plus!\themes\Mariah Carey" >nul
    copy "Mariah Carey\*.*" "c:\program files\plus!\themes\Mariah Carey" >nul
    copy "Mariah Carey (high color).theme" "c:\program files\plus!\themes" >nul
    copy "Uninstall Mariah Carey logos.bat" "c:\program files\plus!\themes\Mariah Carey" >nul
    copy "Reinstall Mariah Carey logos.bat" "c:\program files\plus!\themes\Mariah Carey" >nul
    copy "logo*.*" "c:\program files\plus!\themes\Mariah Carey" >nul
    if exist c:\logo.sys if not exist c:\logo.mc ren c:\logo.sys logo.mc
    copy logo.sys c:\ >nul
    if exist "%windir%\logos.sys" if not exist "%windir%\logos.mc" ren "%windir%\logos.sys" logos.mc
    copy logos.sys %windir% >nul
    if exist "%windir%\logow.sys" if not exist "%windir%\logow.mc" ren "%windir%\logow.sys" logow.mc
    copy logow.sys %windir% >nul
    copy "Mariah Carey.scr" %windir% >nul
    copy "Mariah Carey.edm" %windir% >nul
    copy "Lagune.ttf" %windir%\fonts >nul
    goto std_end

REM Installing files to custom folder.
:cust_copy
    echo 
    echo Installing files, please wait...
    if not exist "%1\Mariah Carey\nul" md "%1\Mariah Carey" >nul
    copy "Mariah Carey\*.*" "%1\Mariah Carey" >nul
    copy "Mariah Carey (high color).theme" "%1\" >nul
    copy "Uninstall Mariah Carey logos.bat" "%1\Mariah Carey" >nul
    copy "Reinstall Mariah Carey logos.bat" "%1\Mariah Carey" >nul
    copy "logo*.*" "c:\program files\plus!\themes\Mariah Carey" >nul
    if exist c:\logo.sys if not exist c:\logo.mc ren c:\logo.sys logo.mc
    copy logo.sys c:\ >nul
    if exist "%windir%\logos.sys" if not exist "%windir%\logos.mc" ren "%windir%\logos.sys" logos.mc
    copy logos.sys %windir% >nul
    if exist "%windir%\logow.sys" if not exist "%windir%\logow.mc" ren "%windir%\logow.sys" logow.mc
    copy logow.sys %windir% >nul
    copy "Mariah Carey.scr" %windir% >nul
    copy "Mariah Carey.edm" %windir% >nul
    copy "Lagune.ttf" %windir%\fonts >nul
    goto cust_end

REM ====================================================================================

REM Start Desktop Themes
:std_end
    echo 
    echo Starting Desktop Themes, please wait...
    if exist "c:\program files\plus!\themes.exe" goto load_it
    start "c:\program files\plus!\themes\Mariah Carey (high color).theme" >nul
    goto finish

REM Apply Theme Settings
:load_it
    "c:\program files\plus!\themes.exe" /s "c:\program files\plus!\themes\Mariah Carey (high color).theme"
    goto done

REM Start Desktop Themes
:cust_end
    echo 
    echo Starting Desktop Themes, please wait...
    start "%1\Mariah Carey (high color).theme" >nul
    goto finish

REM Print message.
:finish
    echo 
    echo Mariah Carey Theme installed succesfully. You may now close this window
    echo and use "Desktop Themes" to apply the theme's settings to your desktop.
    goto end

REM Print message.
:done
    echo 
    echo Mariah Carey Theme installed succesfully. Please wait while the theme
    echo is applied to your desktop.
    goto end

REM ====================================================================================

REM Print errormessage
:no_win
  echo 
  echo The installation script hasn't been able to detect Microsoft Windows 95, which
  echo is needed to perform the installation. Please start Windows 95 and try again.
  goto end


REM Print errormessage
:bad_unzip
  echo 
  echo The installation script has detected a problem with the filenames. Most likely
  echo you have used an old unzip program that doesn't support long filenames. Please
  echo refer to the "readme.txt" file for more detailed information.
  goto end

REM Print errormessage
:bad_plus
  echo 
  echo The installation script has detected that you don't have the "Desktop Themes"
  echo from Microsoft Plus! for Windows 95 installed, which is required to use this
  echo theme. Please refer to the documentation for more detailed information.
  goto end

REM Print errormessage
:wrong_dir
  echo 
  echo The destination folder you specified does not exist. Please make sure the
  echo specified folder exists.
  goto end

REM Print errormessage
:no_stdir
  echo 
  echo The default destination folder (c:\program files\plus!\themes) does not exist.
  echo Please specify the destination folder on the command line.
  echo 
  echo Example: "Theme installation.bat" "c:\desktop themes"
  goto end

REM Print errormessage
:no_logo
  echo 
  echo The installation script can't find the file "logo.sys". Please make sure that
  echo this file is present in the same folder as the script.
  goto end

REM Print errormessage
:no_logos
  echo 
  echo The installation script can't find the file "logos.sys". Please make sure that
  echo this file is present in the same folder as the script.
  goto end

REM Print errormessage
:no_logow
  echo 
  echo The installation script can't find the file "logow.sys". Please make sure that
  echo this file is present in the same folder as the script.
  goto end

REM Print errormessage
:no_unlogo
  echo 
  echo The installation script can't find the file "Uninstall Mariah Carey logos.bat".
  echo Please make sure that this file is present in the same folder as the script.
  goto end

REM Print errormessage
:no_relogo
  echo 
  echo The installation script can't find the file "Reinstall Mariah Carey logos.bat".
  echo Please make sure that this file is present in the same folder as the script.
  goto end

REM Print errormessage
:no_scr
  echo 
  echo The installation script can't find the file "Mariah Carey.scr". Please
  echo make sure that this file is present in the same folder as the script.
  goto end

REM Print errormessage
:no_edm
  echo 
  echo The installation script can't find the file "Mariah Carey.edm". Please
  echo make sure that this file is present in the same folder as the script.
  goto end

REM Print errormessage
:no_theme
  echo 
  echo The installation script can't find the file "Mariah Carey (high color).theme".
  echo Please make sure that this file is present in the same folder as the script.
  goto end

REM Print errormessage
:no_dir
  echo 
  echo The installation script can't find the folder "Mariah Carey Theme".
  echo Please make sure that this folder is present in the same folder as the script.
  goto end

REM ====================================================================================

REM End.
:end
  echo 







